%define upstream_name    Catalyst-Plugin-Authentication-Store-Htpasswd
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:	Authentication database in $c->config
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Authen::Htpasswd) >= 0.13
BuildRequires:	perl(Catalyst::Plugin::Authentication) >= 0.01
BuildRequires:	perl(Module::Build)

BuildArch:	noarch

%description
This plugin uses Authen::Htpasswd to let your application use
.htpasswd files for it's authentication storage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-18.mga8
+ Revision: 1493076
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-17.mga7
+ Revision: 1265959
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-16.mga6
+ Revision: 1023259
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-15.mga6
+ Revision: 945173
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-14.mga5
+ Revision: 745758
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-13.mga5
+ Revision: 683798
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-12.mga4
+ Revision: 509821
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-11.mga3
+ Revision: 363950
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- package renamed
- renamed to perl-Catalyst-Plugin-Authentication-Store-Htpasswd
- mageia rebuild
- mageia rebuild
- imported package perl-Catalyst-P-A-Store-Htpasswd

